# Quickstart Guide

This section contains a guide to setting up the Elentra API for development With Elentra ME. It assumes you already have a development workstation set up according to the instructions on the [Getting Started Guide](https://docs.elentra.org/technical/developers/getting-started). If you are setting up an environment for Elentra CPD or Elentra Admissions, the procedure is the same, just substitute the corresponding repository.

The naming in this documentation will be `elentra-1x-me` for Elentra ME and `elentra-1x-api` for Elentra API, but you can name the repositories differently on your local machine, just substitute the actual repository name when you perform the commands.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elentra.org/api/developers/quickstart-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
